Skip to main content
POST
Attribute a deposit as spam

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Headers

Idempotency-Key
string
required

Client-supplied key that deduplicates retried requests. Reusing a key returns the original result instead of repeating the action.

Api-Signature
string
required

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Pattern: ^[0-9A-Fa-f]{128,160}$
Api-Timestamp
integer<int64>
required

Current timestamp, represented as unix epoch seconds

Path Parameters

depositTransactionId
string
required

The transactionId where the transactionType is DEPOSIT. The 32-character hexadecimal transactionId where the transactionType is DEPOSIT

Pattern: ^[0-9A-Fa-f]+$
Example:

"0e2b2f9d8d104f1e960b28567255045f"

Body

application/json

The body is of type object | null.

Response

Successfully attributed a deposit as spam

data
Perform Spam Attribution Result · object
required